<?php
	
	function convert_to_positive($num) {
		if ($num < 0) {
			return $num-$num-$num;
		} else {
			return $num;
		}
	}
	if (!function_exists('str_split')) {
		function str_split($string, $split_length = 1) {
			return explode("\r\n", chunk_split($string, $split_length));
		}
	}
	function getResultDiv($value,$type='error') {
		// Formats successful or error results whether they are in an array or a snippet.
		if ($type == 'success') {
			$class = 'success-div';
		} elseif ($type == 'test') {
			$class = 'test-div';
		} else {
			$class = 'error-div';
		}
		if (is_array($value)) {
			for ($i = 0; $value[$i] != ''; $i++) {
				$result_div .= '<li>' . $value[$i] . '</li>';
			}
			if ($result_div != '') {
				$result_div = '<div class="' . $class . '"><ul>' . $result_div . '</ul></div>';
			}
		} else {
			if ($value != '') {
				$result_div = '<div class="' . $class . '">' . $value . '</div>';
			}
		}
		return $result_div;
	}
	
	function checkValidChars($string,$valid_chars) {
		$string_array = str_split($string);
		$valid_chars_array = str_split($valid_chars);
		$i = 0;
		while ($string_array[$i] != '') {
			if (!in_array($string_array[$i],$valid_chars_array)) {
				return false;
			}
			$i++;
		}
		return true;
	}
	
	function get_interest_factor($year_term, $monthly_interest_rate) {
		global $base_rate;
		$factor      = 0;
		$base_rate   = 1 + $monthly_interest_rate;
		$denominator = $base_rate;
		for ($i=0; $i < ($year_term * 12); $i++) {
			$factor += (1 / $denominator);
			$denominator *= $base_rate;
		}
		return $factor;
	}     
			
	function ternary($current,$item1,$item2) {
		if ($current == $item1) {
			return $item2;
		} else {
			return $item1;
		}
	}   
	
	function num_format($num) {
		return number_format($num, "2", ".", ",");
	}
	
	function strip_nonnumeric($string) {
		return ereg_replace( "[^0-9.]", "", $string);
	}
	
?>